View Issue Details

IDProjectCategoryView StatusLast Update
0016258LazarusLCLpublic2011-12-01 11:23
ReporterraypolAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016258: TStaticText
DescriptionHi, I noticed that TStaticText has a ptoperty for Hint but is missing the ShowHint
part. (Like TDBMemo, right?)
TagsNo tags attached.
Fixed in Revision24614
LazTarget0.9.30
Widgetset
Attached Files
  • statictext.patch (361 bytes)
    Index: lcl/stdctrls.pp
    ===================================================================
    --- lcl/stdctrls.pp	(revision 24596)
    +++ lcl/stdctrls.pp	(working copy)
    @@ -1017,6 +1017,7 @@
         property ParentFont;
         property ParentColor;
         property ShowAccelChar;
    +    property ShowHint;
         property TabOrder;
         property TabStop;
         property Visible;
    
    statictext.patch (361 bytes)

Activities

Juha Manninen

2010-04-12 12:15

developer   ~0036634

ShowHint is not published but obviously it should be.
I upload a patch. Someone please apply.

2010-04-12 12:15

 

statictext.patch (361 bytes)
Index: lcl/stdctrls.pp
===================================================================
--- lcl/stdctrls.pp	(revision 24596)
+++ lcl/stdctrls.pp	(working copy)
@@ -1017,6 +1017,7 @@
     property ParentFont;
     property ParentColor;
     property ShowAccelChar;
+    property ShowHint;
     property TabOrder;
     property TabStop;
     property Visible;
statictext.patch (361 bytes)

Paul Ishenin

2010-04-14 02:46

manager   ~0036684

Thanks, applied. Please close if ok.

Issue History

Date Modified Username Field Change
2010-04-12 01:33 raypol New Issue
2010-04-12 12:15 Juha Manninen LazTarget => -
2010-04-12 12:15 Juha Manninen Note Added: 0036634
2010-04-12 12:15 Juha Manninen Status new => confirmed
2010-04-12 12:15 Juha Manninen File Added: statictext.patch
2010-04-13 01:19 Juha Manninen LazTarget - => 0.9.30
2010-04-14 02:46 Paul Ishenin Fixed in Revision => 24614
2010-04-14 02:46 Paul Ishenin Status confirmed => resolved
2010-04-14 02:46 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-04-14 02:46 Paul Ishenin Resolution open => fixed
2010-04-14 02:46 Paul Ishenin Assigned To => Paul Ishenin
2010-04-14 02:46 Paul Ishenin Note Added: 0036684
2011-12-01 11:23 Marc Weustink Status resolved => closed